View Issue Details

IDProjectCategoryView StatusLast Update
0023657Open CASCADEOCCT:Foundation Classespublic2013-04-29 15:22
Reporterdbv Assigned Todbv  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Target Version6.6.0Fixed in Version6.6.0 
Summary0023657: Fails compilation with WOK after patch 22980
DescriptionWOK fails compilation in cases when variable CSF_TBB_INCLUDES is empty
TagsNo tags attached.
Test case numberNot needed

Relationships

parent of 0023689 closedibs Community OCCT does not compile on Windows 
child of 0022980 closedRoman Lygin Community Fixed Standard_Atomic.hxx 

Activities

dbv

2012-12-20 19:54

developer   ~0022793

Fix has been pushed to the git branch CR23657

Dear Andrey, please review.

kgv

2012-12-21 11:16

developer   ~0022796

Last edited: 2012-12-21 11:18

I think this is inappropriate way to fix this issue.

Most %CSF_*_INCLUDE variables in WOK defined within "-I" prefix (taking into account that there are more than one path could be specified) whilst %CSF_TCL_INCLUDE (and probably %CSF_TBB_INCLUDES in WOK configuration for automated tests) targets to folder without "-I".

So the *_CMPLRS.edl files in packages shouldn't append "-I" and just concatenate strings as done for other dependencies like %CSF_X11_INCLUDE, %CSF_OPENGL_INCLUDE, %CSF_FTGL_INCLUDES, %CSF_FREETYPE_INCLUDES, %CSF_GL2PS_INCLUDES, etc. This means that %CSF_TBB_INCLUDES and %CSF_TCL_INCLUDE should be updated appropriately in current WOK configurations.

dbv

2012-12-21 16:12

developer   ~0022802

Key "-I" has been added to CSF_TCL_INCLUDE variable

Dear Kirill, please review occt and occt-wok branches CR23657

kgv

2012-12-21 16:29

developer   ~0022803

Patch reviewed without remarks.

mkv

2012-12-28 12:34

tester   ~0022878

Dear BugMaster,

Branch CR23657 (and products from GIT master) was compiled on Linux and
Windows platforms.

There are compilation errors on Windows:

http://jenkins-test-01.nnov.opencascade.com/user/mnt/my-views/view/CR23657/job/mnt-CR23657-master_build_occt_windows/2/parsed_console/?

dbv

2012-12-28 13:12

developer   ~0022879

Last edited: 2012-12-28 13:14

Dear Michael,

Please, in your WOK_Dir/lib/CSF.edl replace line: @set %CSF_TCL_INCLUDE = ": ";
with following: @set %CSF_TCL_INCLUDE = "";

Also check other changes in occt-wok git branch CR23657

Related Changesets

occt: master a6cfe9b2

2012-12-28 14:46:36

dbv

Details Diff
0023657: Fails compilation with WOK after patch 22980
Key -I added to CSF_TCL_INCLUDE variable
Affected Issues
0023657
mod - src/Draw/Draw_CMPLRS.edl Diff File
mod - src/QABugs/QABugs_CMPLRS.edl Diff File
mod - src/QADraw/QADraw_CMPLRS.edl Diff File
mod - src/QAViewer2dTest/QAViewer2dTest_CMPLRS.edl Diff File
mod - src/Standard/Standard_CMPLRS.edl Diff File
mod - src/Viewer2dTest/Viewer2dTest_CMPLRS.edl Diff File
mod - src/ViewerTest/ViewerTest_CMPLRS.edl Diff File

Issue History

Date Modified Username Field Change
2012-12-20 19:51 dbv New Issue
2012-12-20 19:51 dbv Assigned To => abv
2012-12-20 19:52 dbv Assigned To abv => dbv
2012-12-20 19:52 dbv Status new => assigned
2012-12-20 19:54 dbv Note Added: 0022793
2012-12-20 19:54 dbv Assigned To dbv => abv
2012-12-20 19:54 dbv Status assigned => resolved
2012-12-21 11:16 kgv Note Added: 0022796
2012-12-21 11:18 kgv Note Edited: 0022796
2012-12-21 13:12 abv Assigned To abv => dbv
2012-12-21 13:12 abv Status resolved => assigned
2012-12-21 16:12 dbv Note Added: 0022802
2012-12-21 16:12 dbv Assigned To dbv => kgv
2012-12-21 16:12 dbv Status assigned => resolved
2012-12-21 16:29 kgv Note Added: 0022803
2012-12-21 16:29 kgv Assigned To kgv => bugmaster
2012-12-21 16:29 kgv Status resolved => reviewed
2012-12-26 15:09 bugmaster Assigned To bugmaster => mkv
2012-12-28 12:34 mkv Note Added: 0022878
2012-12-28 12:35 mkv Test case number => Not needed
2012-12-28 12:35 mkv Assigned To mkv => dbv
2012-12-28 12:35 mkv Status reviewed => assigned
2012-12-28 13:12 dbv Note Added: 0022879
2012-12-28 13:12 dbv Assigned To dbv => mkv
2012-12-28 13:12 dbv Status assigned => resolved
2012-12-28 13:13 dbv Status resolved => reviewed
2012-12-28 13:14 dbv Note Edited: 0022879
2012-12-28 14:15 mkv Assigned To mkv => bugmaster
2013-01-04 11:35 dbv Changeset attached => occt master a6cfe9b2
2013-01-04 11:35 dbv Assigned To bugmaster => dbv
2013-01-04 11:35 dbv Status reviewed => verified
2013-01-04 11:35 dbv Resolution open => fixed
2013-01-09 02:51 abv Relationship added parent of 0023689
2013-01-09 02:51 abv Relationship added child of 0022980
2013-02-20 10:19 bugmaster Target Version => 6.6.0
2013-04-23 13:36 aiv Status verified => closed
2013-04-29 15:22 aiv Fixed in Version => 6.6.0